Index: trunk/lib/FlairCore/src/Quaternion.h
===================================================================
--- trunk/lib/FlairCore/src/Quaternion.h	(revision 14)
+++ trunk/lib/FlairCore/src/Quaternion.h	(revision 15)
@@ -13,201 +13,205 @@
 #define QUATERNION_H
 
-namespace flair { namespace core {
-    class Euler;
-    class Vector3D;
-    class RotationMatrix;
-
-    /*! \class Quaternion
-    *
-    * \brief Class defining a quaternion
-    */
-    class Quaternion {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a quaternion using specified values.
-            *
-            * \param q0, scalar part
-            * \param q1
-            * \param q2
-            * \param q3
-            */
-            Quaternion(float q0=1,float q1=0,float q2=0,float q3=0);
-
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~Quaternion();
-
-            /*!
-            * \brief Norm
-            *
-            * \return norm
-            */
-            float GetNorm(void) const;
-
-            /*!
-            * \brief Normalize
-            */
-            void Normalize(void);
-
-            /*!
-            * \brief Logarithm
-            *
-            * This method also Normalize the quaternion.
-            *
-            * \param logarithm output logarithm
-            */
-            void GetLogarithm(Vector3D &logarithm);
-
-            /*!
-            * \brief Logarithm
-            *
-            * This method also Normalize the quaternion.
-            *
-            * \return output logarithm
-            */
-            Vector3D GetLogarithm(void);
-
-            /*!
-            * \brief Conjugate
-            */
-            void Conjugate(void);
-
-            /*!
-            * \brief Conjugate
-            *
-            * \return Conjugate
-            */
-            Quaternion GetConjugate(void);
-
-            /*!
-            * \brief Derivative
-            *
-            * \param w angular speed
-            *
-            * \return derivative
-            */
-            Quaternion GetDerivative(const Vector3D &angularSpeed) const;
-
-            /*!
-            * \brief Derivate
-            *
-            * \param w rotationonal speed
-            */
-            void Derivate(const Vector3D &angularSpeed);
-
-            /*!
-            * \brief Convert to euler angles
-            *
-            * \param euler output euler angles
-            */
-            void ToEuler(Euler &euler) const;
-
-            /*!
-            * \brief Convert to euler angles
-            *
-            * \return euler angles
-            */
-            Euler ToEuler(void) const;
-
-            /*!
-            * \brief Convert to rotation matrix
-            *
-            * \param m output matrix
-            */
-            void ToRotationMatrix(RotationMatrix &matrix) const;
-
-            /*!
-            * \brief q0
-            */
-            float q0;
-
-            /*!
-            * \brief q1
-            */
-            float q1;
-
-            /*!
-            * \brief q2
-            */
-            float q2;
-
-            /*!
-            * \brief q3
-            */
-            float q3;
-
-            Quaternion& operator+=(const Quaternion& quaternion);
-            Quaternion& operator-=(const Quaternion& quaternion);
-            Quaternion& operator=(const Quaternion& quaternion);
-    };
-
-    /*! Add
-    *
-    * \brief Add
-    *
-    * \param quaterniontA quaternion
-    * \param quaterniontB quaternion
-    *
-    * \return quaterniontA+quaterniontB
-    */
-    Quaternion operator + (Quaternion const &quaterniontA,Quaternion const &quaterniontB);
-
-    /*! Substract
-    *
-    * \brief Substract
-    *
-    * \param quaterniontA quaternion
-    * \param quaterniontB quaternion
-    *
-    * \return quaterniontA-quaterniontB
-    */
-    Quaternion operator - (Quaternion const &quaternionA,Quaternion const &quaterniontB);
-
-    /*! Minus
-    *
-    * \brief Minus
-    *
-    * \param quaternion quaternion
-    *
-    * \return -quaternion
-    */
-    Quaternion operator-(const Quaternion &quaternion);
-
-    /*! Multiply
-    *
-    * \brief Multiply
-    *
-    * \param quaterniontA quaternion
-    * \param quaterniontB quaternion
-    *
-    * \return quaterniontA*quaterniontB
-    */
-    Quaternion operator * (Quaternion const &quaternionA,Quaternion const &quaterniontB);
-
-    /*! Multiply
-    *
-    * \brief Multiply
-    *
-    * \param coeff coefficient
-    * \param quat quaternion
-    *
-    * \return coeff*quat
-    */
-    Quaternion operator * (float coeff,Quaternion const &quaternion);
-
-    /*! Multiply
-    *
-    * \brief Multiply
-    *
-    * \param quat quaternion
-    * \param coeff coefficient
-    *
-    * \return coeff*quat
-    */
-    Quaternion operator * (Quaternion const &quaternion,float coeff);
+namespace flair {
+namespace core {
+class Euler;
+class Vector3D;
+class RotationMatrix;
+
+/*! \class Quaternion
+*
+* \brief Class defining a quaternion
+*/
+class Quaternion {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a quaternion using specified values.
+  *
+  * \param q0, scalar part
+  * \param q1
+  * \param q2
+  * \param q3
+  */
+  Quaternion(float q0 = 1, float q1 = 0, float q2 = 0, float q3 = 0);
+
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~Quaternion();
+
+  /*!
+  * \brief Norm
+  *
+  * \return norm
+  */
+  float GetNorm(void) const;
+
+  /*!
+  * \brief Normalize
+  */
+  void Normalize(void);
+
+  /*!
+  * \brief Logarithm
+  *
+  * This method also Normalize the quaternion.
+  *
+  * \param logarithm output logarithm
+  */
+  void GetLogarithm(Vector3D &logarithm);
+
+  /*!
+  * \brief Logarithm
+  *
+  * This method also Normalize the quaternion.
+  *
+  * \return output logarithm
+  */
+  Vector3D GetLogarithm(void);
+
+  /*!
+  * \brief Conjugate
+  */
+  void Conjugate(void);
+
+  /*!
+  * \brief Conjugate
+  *
+  * \return Conjugate
+  */
+  Quaternion GetConjugate(void);
+
+  /*!
+  * \brief Derivative
+  *
+  * \param w angular speed
+  *
+  * \return derivative
+  */
+  Quaternion GetDerivative(const Vector3D &angularSpeed) const;
+
+  /*!
+  * \brief Derivate
+  *
+  * \param w rotationonal speed
+  */
+  void Derivate(const Vector3D &angularSpeed);
+
+  /*!
+  * \brief Convert to euler angles
+  *
+  * \param euler output euler angles
+  */
+  void ToEuler(Euler &euler) const;
+
+  /*!
+  * \brief Convert to euler angles
+  *
+  * \return euler angles
+  */
+  Euler ToEuler(void) const;
+
+  /*!
+  * \brief Convert to rotation matrix
+  *
+  * \param m output matrix
+  */
+  void ToRotationMatrix(RotationMatrix &matrix) const;
+
+  /*!
+  * \brief q0
+  */
+  float q0;
+
+  /*!
+  * \brief q1
+  */
+  float q1;
+
+  /*!
+  * \brief q2
+  */
+  float q2;
+
+  /*!
+  * \brief q3
+  */
+  float q3;
+
+  Quaternion &operator+=(const Quaternion &quaternion);
+  Quaternion &operator-=(const Quaternion &quaternion);
+  Quaternion &operator=(const Quaternion &quaternion);
+};
+
+/*! Add
+*
+* \brief Add
+*
+* \param quaterniontA quaternion
+* \param quaterniontB quaternion
+*
+* \return quaterniontA+quaterniontB
+*/
+Quaternion operator+(Quaternion const &quaterniontA,
+                     Quaternion const &quaterniontB);
+
+/*! Substract
+*
+* \brief Substract
+*
+* \param quaterniontA quaternion
+* \param quaterniontB quaternion
+*
+* \return quaterniontA-quaterniontB
+*/
+Quaternion operator-(Quaternion const &quaternionA,
+                     Quaternion const &quaterniontB);
+
+/*! Minus
+*
+* \brief Minus
+*
+* \param quaternion quaternion
+*
+* \return -quaternion
+*/
+Quaternion operator-(const Quaternion &quaternion);
+
+/*! Multiply
+*
+* \brief Multiply
+*
+* \param quaterniontA quaternion
+* \param quaterniontB quaternion
+*
+* \return quaterniontA*quaterniontB
+*/
+Quaternion operator*(Quaternion const &quaternionA,
+                     Quaternion const &quaterniontB);
+
+/*! Multiply
+*
+* \brief Multiply
+*
+* \param coeff coefficient
+* \param quat quaternion
+*
+* \return coeff*quat
+*/
+Quaternion operator*(float coeff, Quaternion const &quaternion);
+
+/*! Multiply
+*
+* \brief Multiply
+*
+* \param quat quaternion
+* \param coeff coefficient
+*
+* \return coeff*quat
+*/
+Quaternion operator*(Quaternion const &quaternion, float coeff);
 
 } // end namespace core
Index: trunk/lib/FlairCore/src/RTDM_I2cPort.cpp
===================================================================
--- trunk/lib/FlairCore/src/RTDM_I2cPort.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/RTDM_I2cPort.cpp	(revision 15)
@@ -26,87 +26,76 @@
 using std::string;
 
-namespace flair
-{
-namespace core
-{
+namespace flair {
+namespace core {
 
-RTDM_I2cPort::RTDM_I2cPort(const Object* parent,string name,string device) : I2cPort(parent,name)
-{
-    int err=0;
-    struct rti2c_config write_config;
+RTDM_I2cPort::RTDM_I2cPort(const Object *parent, string name, string device)
+    : I2cPort(parent, name) {
+  int err = 0;
+  struct rti2c_config write_config;
 
-    //printf("i2c integer le mutex dans le driver, avec acces ioctl\n");
-    fd = rt_dev_open(device.c_str(), 0);
-    if (fd < 0)
-	{
-		Err("rt_dev_open (%s)\n",ObjectName().c_str(),strerror(-fd));
-	}
+  // printf("i2c integer le mutex dans le driver, avec acces ioctl\n");
+  fd = rt_dev_open(device.c_str(), 0);
+  if (fd < 0) {
+    Err("rt_dev_open (%s)\n", ObjectName().c_str(), strerror(-fd));
+  }
 
-	write_config.config_mask       = RTI2C_SET_BAUD|RTI2C_SET_TIMEOUT_RX|RTI2C_SET_TIMEOUT_TX;
-	write_config.baud_rate         = 400000;
-	write_config.rx_timeout        = 500000;
-	write_config.tx_timeout        = 1000000;//5ms pour les xbldc, normalement 1ms
-	// the rest implicitely remains default
+  write_config.config_mask =
+      RTI2C_SET_BAUD | RTI2C_SET_TIMEOUT_RX | RTI2C_SET_TIMEOUT_TX;
+  write_config.baud_rate = 400000;
+  write_config.rx_timeout = 500000;
+  write_config.tx_timeout = 1000000; // 5ms pour les xbldc, normalement 1ms
+  // the rest implicitely remains default
 
-	// config
-	err = rt_dev_ioctl(fd, RTI2C_RTIOC_SET_CONFIG, &write_config );
-	if (err)
-	{
-	    Err("rt_dev_ioctl RTI2C_RTIOC_SET_CONFIG error (%s)\n",ObjectName().c_str(),strerror(-err));
-	}
+  // config
+  err = rt_dev_ioctl(fd, RTI2C_RTIOC_SET_CONFIG, &write_config);
+  if (err) {
+    Err("rt_dev_ioctl RTI2C_RTIOC_SET_CONFIG error (%s)\n",
+        ObjectName().c_str(), strerror(-err));
+  }
 }
 
-RTDM_I2cPort::~RTDM_I2cPort()
-{
-    rt_dev_close(fd);
+RTDM_I2cPort::~RTDM_I2cPort() { rt_dev_close(fd); }
+
+int RTDM_I2cPort::SetSlave(uint16_t address) {
+  int err = rt_dev_ioctl(fd, RTI2C_RTIOC_SET_SLAVE, &address);
+  if (err) {
+    Err("rt_dev_ioctl RTI2C_RTIOC_SET_SLAVE error (%s)\n", strerror(-err));
+  }
+
+  return err;
 }
 
-int RTDM_I2cPort::SetSlave(uint16_t address)
-{
-	int err = rt_dev_ioctl(fd, RTI2C_RTIOC_SET_SLAVE, &address);
-    if (err)
-	{
-	    Err("rt_dev_ioctl RTI2C_RTIOC_SET_SLAVE error (%s)\n",strerror(-err));
-	}
+void RTDM_I2cPort::SetRxTimeout(Time timeout_ns) {
+  struct rti2c_config write_config;
 
-	return err;
+  write_config.config_mask = RTI2C_SET_TIMEOUT_RX;
+  write_config.rx_timeout = timeout_ns;
+
+  int err = rt_dev_ioctl(fd, RTI2C_RTIOC_SET_CONFIG, &write_config);
+  if (err) {
+    Err("rt_dev_ioctl RTI2C_RTIOC_SET_CONFIG (%s)\n", ObjectName().c_str(),
+        strerror(-err));
+  }
 }
 
-void RTDM_I2cPort::SetRxTimeout(Time timeout_ns)
-{
-    struct rti2c_config write_config;
+void RTDM_I2cPort::SetTxTimeout(Time timeout_ns) {
+  struct rti2c_config write_config;
 
-	write_config.config_mask       = RTI2C_SET_TIMEOUT_RX;
-	write_config.rx_timeout        = timeout_ns;
+  write_config.config_mask = RTI2C_SET_TIMEOUT_TX;
+  write_config.tx_timeout = timeout_ns;
 
-	int err = rt_dev_ioctl(fd, RTI2C_RTIOC_SET_CONFIG, &write_config );
-	if (err)
-	{
-	    Err("rt_dev_ioctl RTI2C_RTIOC_SET_CONFIG (%s)\n",ObjectName().c_str(),strerror(-err));
-	}
+  int err = rt_dev_ioctl(fd, RTI2C_RTIOC_SET_CONFIG, &write_config);
+  if (err) {
+    Err("rt_dev_ioctl RTI2C_RTIOC_SET_CONFIG (%s)\n", ObjectName().c_str(),
+        strerror(-err));
+  }
 }
 
-void RTDM_I2cPort::SetTxTimeout(Time timeout_ns)
-{
-    struct rti2c_config write_config;
-
-	write_config.config_mask       = RTI2C_SET_TIMEOUT_TX;
-	write_config.tx_timeout        = timeout_ns;
-
-	int err = rt_dev_ioctl(fd, RTI2C_RTIOC_SET_CONFIG, &write_config );
-	if (err)
-	{
-	    Err("rt_dev_ioctl RTI2C_RTIOC_SET_CONFIG (%s)\n",ObjectName().c_str(),strerror(-err));
-	}
+ssize_t RTDM_I2cPort::Write(const void *buf, size_t nbyte) {
+  return rt_dev_write(fd, buf, nbyte);
 }
 
-ssize_t RTDM_I2cPort::Write(const void *buf,size_t nbyte)
-{
-    return rt_dev_write(fd, buf, nbyte);
-}
-
-ssize_t RTDM_I2cPort::Read(void *buf,size_t nbyte)
-{
-    return rt_dev_read(fd, buf, nbyte);
+ssize_t RTDM_I2cPort::Read(void *buf, size_t nbyte) {
+  return rt_dev_read(fd, buf, nbyte);
 }
 
@@ -119,42 +108,23 @@
 using namespace flair::core;
 
+namespace flair {
+namespace core {
 
-namespace flair
-{
-namespace core
-{
-
-RTDM_I2cPort::RTDM_I2cPort(const Object* parent,string name,string device) : I2cPort(parent,name)
-{
-    Err("not available in non real time\n");
+RTDM_I2cPort::RTDM_I2cPort(const Object *parent, string name, string device)
+    : I2cPort(parent, name) {
+  Err("not available in non real time\n");
 }
 
-RTDM_I2cPort::~RTDM_I2cPort()
-{
+RTDM_I2cPort::~RTDM_I2cPort() {}
 
-}
+int RTDM_I2cPort::SetSlave(uint16_t address) { return -1; }
 
-int RTDM_I2cPort::SetSlave(uint16_t address)
-{
-	return -1;
-}
+void RTDM_I2cPort::SetRxTimeout(Time timeout_ns) {}
 
-void RTDM_I2cPort::SetRxTimeout(Time timeout_ns)
-{
-}
+void RTDM_I2cPort::SetTxTimeout(Time timeout_ns) {}
 
-void RTDM_I2cPort::SetTxTimeout(Time timeout_ns)
-{
-}
+ssize_t RTDM_I2cPort::Write(const void *buf, size_t nbyte) { return -1; }
 
-ssize_t RTDM_I2cPort::Write(const void *buf,size_t nbyte)
-{
-    return -1;
-}
-
-ssize_t RTDM_I2cPort::Read(void *buf,size_t nbyte)
-{
-    return -1;
-}
+ssize_t RTDM_I2cPort::Read(void *buf, size_t nbyte) { return -1; }
 
 } // end namespace core
Index: trunk/lib/FlairCore/src/RTDM_I2cPort.h
===================================================================
--- trunk/lib/FlairCore/src/RTDM_I2cPort.h	(revision 14)
+++ trunk/lib/FlairCore/src/RTDM_I2cPort.h	(revision 15)
@@ -16,88 +16,85 @@
 #include <I2cPort.h>
 
-namespace flair
-{
-namespace core
-{
-    /*! \class RTDM_I2cPort
-    *
-    * \brief Class for real time i2c port using RTDM
-    *
-    * This class can only be used with the real time version of Framework library.
-    *
-    */
-    class RTDM_I2cPort: public I2cPort
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct an RTDM i2c port, with the following default values: \n
-            * - 400kbits baudrate \n
-            * - 500000ns RX timeout \n
-            * - 1000000ns TX timeout
-            *
-            * \param parent parent
-            * \param name name
-            * \param device i2c device (ex rti2c1)
-            */
-            RTDM_I2cPort(const Object* parent,std::string name,std::string device);
+namespace flair {
+namespace core {
+/*! \class RTDM_I2cPort
+*
+* \brief Class for real time i2c port using RTDM
+*
+* This class can only be used with the real time version of Framework library.
+*
+*/
+class RTDM_I2cPort : public I2cPort {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct an RTDM i2c port, with the following default values: \n
+  * - 400kbits baudrate \n
+  * - 500000ns RX timeout \n
+  * - 1000000ns TX timeout
+  *
+  * \param parent parent
+  * \param name name
+  * \param device i2c device (ex rti2c1)
+  */
+  RTDM_I2cPort(const Object *parent, std::string name, std::string device);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~RTDM_I2cPort();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~RTDM_I2cPort();
 
-            /*!
-            * \brief Set slave's address
-            *
-            * This method need to be called before any communication.
-            *
-            * \param address slave's address
-            */
-            int SetSlave(uint16_t address);
+  /*!
+  * \brief Set slave's address
+  *
+  * This method need to be called before any communication.
+  *
+  * \param address slave's address
+  */
+  int SetSlave(uint16_t address);
 
-            /*!
-            * \brief Write datas
-            *
-            * \param buf pointer to datas
-            * \param nbyte length of datas
-            *
-            * \return amount of written datas
-            */
-            ssize_t Write(const void *buf,size_t nbyte);
+  /*!
+  * \brief Write datas
+  *
+  * \param buf pointer to datas
+  * \param nbyte length of datas
+  *
+  * \return amount of written datas
+  */
+  ssize_t Write(const void *buf, size_t nbyte);
 
-            /*!
-            * \brief Read datas
-            *
-            * \param buf pointer to datas
-            * \param nbyte length of datas
-            *
-            * \return amount of read datas
-            */
-            ssize_t Read(void *buf,size_t nbyte);
+  /*!
+  * \brief Read datas
+  *
+  * \param buf pointer to datas
+  * \param nbyte length of datas
+  *
+  * \return amount of read datas
+  */
+  ssize_t Read(void *buf, size_t nbyte);
 
-            /*!
-            * \brief Set RX timeout
-            *
-            * Timeout for waiting an ACK from the slave.
-            *
-            * \param timeout_ns timeout in nano second
-            */
-            void SetRxTimeout(Time timeout_ns);
+  /*!
+  * \brief Set RX timeout
+  *
+  * Timeout for waiting an ACK from the slave.
+  *
+  * \param timeout_ns timeout in nano second
+  */
+  void SetRxTimeout(Time timeout_ns);
 
-            /*!
-            * \brief Set TX timeout
-            *
-            * Timeout for waiting an ACK from the slave.
-            *
-            * \param timeout_ns timeout in nano second
-            */
-            void SetTxTimeout(Time timeout_ns);
+  /*!
+  * \brief Set TX timeout
+  *
+  * Timeout for waiting an ACK from the slave.
+  *
+  * \param timeout_ns timeout in nano second
+  */
+  void SetTxTimeout(Time timeout_ns);
 
-        private:
-            int fd;
-    };
+private:
+  int fd;
+};
 } // end namespace core
 } // end namespace flair
Index: trunk/lib/FlairCore/src/RTDM_SerialPort.cpp
===================================================================
--- trunk/lib/FlairCore/src/RTDM_SerialPort.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/RTDM_SerialPort.cpp	(revision 15)
@@ -26,86 +26,74 @@
 using std::string;
 
-namespace flair
-{
-namespace core
-{
+namespace flair {
+namespace core {
 
-RTDM_SerialPort::RTDM_SerialPort(const Object* parent,string name,string device) : SerialPort(parent,name)
-{
-    struct rtser_config write_config;
+RTDM_SerialPort::RTDM_SerialPort(const Object *parent, string name,
+                                 string device)
+    : SerialPort(parent, name) {
+  struct rtser_config write_config;
 
-	write_config.config_mask       = RTSER_SET_BAUD | RTSER_SET_TIMESTAMP_HISTORY,
-	write_config.baud_rate         = 115200,
-	write_config.timestamp_history = RTSER_DEF_TIMESTAMP_HISTORY,
-	// the rest implicitely remains default
+  write_config.config_mask = RTSER_SET_BAUD | RTSER_SET_TIMESTAMP_HISTORY,
+  write_config.baud_rate = 115200,
+  write_config.timestamp_history = RTSER_DEF_TIMESTAMP_HISTORY,
+  // the rest implicitely remains default
 
-	fd = rt_dev_open(device.c_str(), 0);
-	if (fd < 0)
-	{
-		Err("erreur rt_dev_open (%s)\n",strerror(-fd));
-	}
+      fd = rt_dev_open(device.c_str(), 0);
+  if (fd < 0) {
+    Err("erreur rt_dev_open (%s)\n", strerror(-fd));
+  }
 
-	// config
-	int err = rt_dev_ioctl(fd, RTSER_RTIOC_SET_CONFIG, &write_config );
-	if (err)
-	{
-	    Err("erreur rt_dev_ioctl RTSER_RTIOC_SET_CONFIG (%s)\n",strerror(-err));
-	}
+  // config
+  int err = rt_dev_ioctl(fd, RTSER_RTIOC_SET_CONFIG, &write_config);
+  if (err) {
+    Err("erreur rt_dev_ioctl RTSER_RTIOC_SET_CONFIG (%s)\n", strerror(-err));
+  }
 }
 
-RTDM_SerialPort::~RTDM_SerialPort()
-{
-    rt_dev_close(fd);
+RTDM_SerialPort::~RTDM_SerialPort() { rt_dev_close(fd); }
+
+void RTDM_SerialPort::SetBaudrate(int baudrate) {
+  struct rtser_config write_config;
+
+  write_config.config_mask = RTSER_SET_BAUD;
+  write_config.baud_rate = baudrate;
+  // the rest implicitely remains default
+
+  // config
+  int err = rt_dev_ioctl(fd, RTSER_RTIOC_SET_CONFIG, &write_config);
+  if (err) {
+    Err("erreur rt_dev_ioctl RTSER_RTIOC_SET_CONFIG (%s)\n", strerror(-err));
+  }
 }
 
-void RTDM_SerialPort::SetBaudrate(int baudrate)
-{
-    struct rtser_config write_config;
+void RTDM_SerialPort::SetRxTimeout(core::Time timeout_ns) {
+  struct rtser_config write_config;
 
-	write_config.config_mask       = RTSER_SET_BAUD;
-	write_config.baud_rate         = baudrate;
-	// the rest implicitely remains default
+  write_config.config_mask = RTSER_SET_TIMEOUT_RX;
+  write_config.rx_timeout = timeout_ns;
+  // the rest implicitely remains default
 
-	// config
-	int err = rt_dev_ioctl(fd, RTSER_RTIOC_SET_CONFIG, &write_config );
-	if (err)
-	{
-	    Err("erreur rt_dev_ioctl RTSER_RTIOC_SET_CONFIG (%s)\n",strerror(-err));
-	}
+  // config
+  int err = rt_dev_ioctl(fd, RTSER_RTIOC_SET_CONFIG, &write_config);
+  if (err) {
+    Err("erreur rt_dev_ioctl RTSER_RTIOC_SET_CONFIG (%s)\n", strerror(-err));
+  }
 }
 
-void RTDM_SerialPort::SetRxTimeout(core::Time timeout_ns)
-{
-    struct rtser_config write_config;
+void RTDM_SerialPort::FlushInput(void) {
+  char tmp;
 
-	write_config.config_mask       = RTSER_SET_TIMEOUT_RX;
-	write_config.rx_timeout         = timeout_ns;
-	// the rest implicitely remains default
-
-	// config
-	int err = rt_dev_ioctl(fd, RTSER_RTIOC_SET_CONFIG, &write_config );
-	if (err)
-	{
-	    Err("erreur rt_dev_ioctl RTSER_RTIOC_SET_CONFIG (%s)\n",strerror(-err));
-	}
+  SetRxTimeout(1000000);
+  while (rt_dev_read(fd, &tmp, 1) == 1)
+    ;
+  SetRxTimeout(TIME_INFINITE);
 }
 
-void RTDM_SerialPort::FlushInput(void)
-{
-    char tmp;
-
-    SetRxTimeout(1000000);
-    while(rt_dev_read(fd,&tmp,1)==1);
-    SetRxTimeout(TIME_INFINITE);
+ssize_t RTDM_SerialPort::Write(const void *buf, size_t nbyte) {
+  return rt_dev_write(fd, buf, nbyte);
 }
 
-ssize_t RTDM_SerialPort::Write(const void *buf,size_t nbyte)
-{
-    return rt_dev_write(fd, buf, nbyte);
-}
-
-ssize_t RTDM_SerialPort::Read(void *buf,size_t nbyte)
-{
-    return rt_dev_read(fd, buf, nbyte);
+ssize_t RTDM_SerialPort::Read(void *buf, size_t nbyte) {
+  return rt_dev_read(fd, buf, nbyte);
 }
 
@@ -118,41 +106,24 @@
 using namespace flair::core;
 
+namespace flair {
+namespace core {
 
-namespace flair
-{
-namespace core
-{
-
-RTDM_SerialPort::RTDM_SerialPort(const Object* parent,string name,string device) : SerialPort(parent,name)
-{
-    Err("not available in non real time\n");
+RTDM_SerialPort::RTDM_SerialPort(const Object *parent, string name,
+                                 string device)
+    : SerialPort(parent, name) {
+  Err("not available in non real time\n");
 }
 
-RTDM_SerialPort::~RTDM_SerialPort()
-{
+RTDM_SerialPort::~RTDM_SerialPort() {}
 
-}
+ssize_t RTDM_SerialPort::Write(const void *buf, size_t nbyte) { return -1; }
 
-ssize_t RTDM_SerialPort::Write(const void *buf,size_t nbyte)
-{
-    return -1;
-}
+ssize_t RTDM_SerialPort::Read(void *buf, size_t nbyte) { return -1; }
 
-ssize_t RTDM_SerialPort::Read(void *buf,size_t nbyte)
-{
-    return -1;
-}
+void RTDM_SerialPort::SetBaudrate(int baudrate) {}
 
-void RTDM_SerialPort::SetBaudrate(int baudrate)
-{
-}
+void RTDM_SerialPort::SetRxTimeout(core::Time timeout_ns) {}
 
-void RTDM_SerialPort::SetRxTimeout(core::Time timeout_ns)
-{
-}
-
-void RTDM_SerialPort::FlushInput(void)
-{
-}
+void RTDM_SerialPort::FlushInput(void) {}
 
 } // end namespace core
Index: trunk/lib/FlairCore/src/RTDM_SerialPort.h
===================================================================
--- trunk/lib/FlairCore/src/RTDM_SerialPort.h	(revision 14)
+++ trunk/lib/FlairCore/src/RTDM_SerialPort.h	(revision 15)
@@ -16,83 +16,81 @@
 #include <SerialPort.h>
 
-namespace flair
-{
-namespace core
-{
-    /*! \class RTDM_SerialPort
-    *
-    * \brief Class for real time serial port using RTDM
-    *
-    * This class can only be used with the real time version of Framework library.
-    *
-    */
-    class RTDM_SerialPort: public SerialPort
-    {
+namespace flair {
+namespace core {
+/*! \class RTDM_SerialPort
+*
+* \brief Class for real time serial port using RTDM
+*
+* This class can only be used with the real time version of Framework library.
+*
+*/
+class RTDM_SerialPort : public SerialPort {
 
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct an RTDM serial port, with the following default values: \n
-            * - 115200bps baudrate
-            *
-            * \param parent parent
-            * \param name name
-            * \param device serial device (ex rtser1)
-            */
-            RTDM_SerialPort(const Object* parent,std::string port_name,std::string device);
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct an RTDM serial port, with the following default values: \n
+  * - 115200bps baudrate
+  *
+  * \param parent parent
+  * \param name name
+  * \param device serial device (ex rtser1)
+  */
+  RTDM_SerialPort(const Object *parent, std::string port_name,
+                  std::string device);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~RTDM_SerialPort();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~RTDM_SerialPort();
 
-            /*!
-            * \brief Set baudrate
-            *
-            * \param baudrate baudrate
-            *
-            */
-            void SetBaudrate(int baudrate);
+  /*!
+  * \brief Set baudrate
+  *
+  * \param baudrate baudrate
+  *
+  */
+  void SetBaudrate(int baudrate);
 
-            /*!
-            * \brief Set RX timeout
-            *
-            * Timeout for waiting datas.
-            *
-            * \param timeout_ns timeout in nano second
-            */
-            void SetRxTimeout(Time timeout_ns);
+  /*!
+  * \brief Set RX timeout
+  *
+  * Timeout for waiting datas.
+  *
+  * \param timeout_ns timeout in nano second
+  */
+  void SetRxTimeout(Time timeout_ns);
 
-            /*!
-            * \brief Write datas
-            *
-            * \param buf pointer to datas
-            * \param nbyte length of datas
-            *
-            * \return amount of written datas
-            */
-            ssize_t Write(const void *buf,size_t nbyte);
+  /*!
+  * \brief Write datas
+  *
+  * \param buf pointer to datas
+  * \param nbyte length of datas
+  *
+  * \return amount of written datas
+  */
+  ssize_t Write(const void *buf, size_t nbyte);
 
-            /*!
-            * \brief Read datas
-            *
-            * \param buf pointer to datas
-            * \param nbyte length of datas
-            *
-            * \return amount of read datas
-            */
-            ssize_t Read(void *buf,size_t nbyte);
+  /*!
+  * \brief Read datas
+  *
+  * \param buf pointer to datas
+  * \param nbyte length of datas
+  *
+  * \return amount of read datas
+  */
+  ssize_t Read(void *buf, size_t nbyte);
 
-            /*!
-            * \brief Flush input datas
-            *
-            */
-            void FlushInput(void);
+  /*!
+  * \brief Flush input datas
+  *
+  */
+  void FlushInput(void);
 
-        private:
-            int fd;
-    };
+private:
+  int fd;
+};
 } // end namespace core
 } // end namespace flair
Index: trunk/lib/FlairCore/src/RangeFinderPlot.cpp
===================================================================
--- trunk/lib/FlairCore/src/RangeFinderPlot.cpp	(revision 14)
+++ trunk/lib/FlairCore/src/RangeFinderPlot.cpp	(revision 15)
@@ -11,5 +11,6 @@
 //  version:    $Id: $
 //
-//  purpose:    Class displaying a 2D plot on the ground station for laser range finder like Hokuyo
+//  purpose:    Class displaying a 2D plot on the ground station for laser range
+//  finder like Hokuyo
 //
 //
@@ -26,36 +27,40 @@
 using namespace flair::core;
 
-namespace flair { namespace gui {
+namespace flair {
+namespace gui {
 
-RangeFinderPlot::RangeFinderPlot(const LayoutPosition* position,string name,
-                                 string x_name,float xmin,float xmax,
-                                 string y_name,float ymin,float ymax,
-                                 const cvmatrix* datas,float start_angle,float end_angle,uint32_t nb_samples):
-                                 SendData(position,name,"RangeFinderPlot",200) {
-    this->datas=datas;
+RangeFinderPlot::RangeFinderPlot(const LayoutPosition *position, string name,
+                                 string x_name, float xmin, float xmax,
+                                 string y_name, float ymin, float ymax,
+                                 const cvmatrix *datas, float start_angle,
+                                 float end_angle, uint32_t nb_samples)
+    : SendData(position, name, "RangeFinderPlot", 200) {
+  this->datas = datas;
 
-    SetSendSize(datas->GetDataType().GetSize());
+  SetSendSize(datas->GetDataType().GetSize());
 
-    SetVolatileXmlProp("xmin",xmin);
-    SetVolatileXmlProp("xmax",xmax);
-    SetVolatileXmlProp("ymin",ymin);
-    SetVolatileXmlProp("ymax",ymax);
-    SetVolatileXmlProp("x_name",x_name);
-    SetVolatileXmlProp("y_name",y_name);
-    SetVolatileXmlProp("start_angle",start_angle);
-    SetVolatileXmlProp("end_angle",end_angle);
-    SetVolatileXmlProp("nb_samples",nb_samples);
-    SetVolatileXmlProp("type",datas->GetDataType().GetElementDataType().GetDescription());
-    SendXml();
+  SetVolatileXmlProp("xmin", xmin);
+  SetVolatileXmlProp("xmax", xmax);
+  SetVolatileXmlProp("ymin", ymin);
+  SetVolatileXmlProp("ymax", ymax);
+  SetVolatileXmlProp("x_name", x_name);
+  SetVolatileXmlProp("y_name", y_name);
+  SetVolatileXmlProp("start_angle", start_angle);
+  SetVolatileXmlProp("end_angle", end_angle);
+  SetVolatileXmlProp("nb_samples", nb_samples);
+  SetVolatileXmlProp(
+      "type", datas->GetDataType().GetElementDataType().GetDescription());
+  SendXml();
 
-    if(datas->Cols()!=1 || datas->Rows()!=nb_samples) Err("Wrong input matrix size\n");
+  if (datas->Cols() != 1 || datas->Rows() != nb_samples)
+    Err("Wrong input matrix size\n");
 }
 
 RangeFinderPlot::~RangeFinderPlot() {}
 
-void RangeFinderPlot::CopyDatas(char* buf) const {
-    datas->GetMutex();
-    memcpy(buf,datas->getCvMat()->data.ptr,datas->GetDataType().GetSize());
-    datas->ReleaseMutex();
+void RangeFinderPlot::CopyDatas(char *buf) const {
+  datas->GetMutex();
+  memcpy(buf, datas->getCvMat()->data.ptr, datas->GetDataType().GetSize());
+  datas->ReleaseMutex();
 }
 
